GridFire 0.6.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Attributes | List of all members
gridfire::QSECacheConfig Struct Reference

Configuration struct for the QSE cache. More...

`#include <engine_multiscale.h>`

## Public Attributes
double | T9_tol
| Absolute tolerance to produce the same hash for T9.
double | rho_tol
| Absolute tolerance to produce the same hash for rho.
double | Yi_tol
| Absolute tolerance to produce the same hash for species abundances.

## Detailed Description

Configuration struct for the QSE cache.

Purpose
  This struct defines the tolerances used to determine if a QSE cache key is considered a hit. It allows for tuning the sensitivity of the cache.

How
  It works by providing binning widths for temperature, density, and abundances. When a `QSECacheKey` is created, it uses these tolerances to discretize the continuous physical values into bins. If two sets of conditions fall into the same bins, they will produce the same hash and be considered a cache hit.

Usage Example:
  Although not typically set by the user directly, the `QSECacheKey` uses this internally. A smaller tolerance (e.g., `T9_tol = 1e-4`) makes the cache more sensitive, leading to more frequent re-partitions, while a larger tolerance (`T9_tol = 1e-2`) makes it less sensitive.

## Member Data Documentation

## ◆ rho_tol

double gridfire::QSECacheConfig::rho_tol

Absolute tolerance to produce the same hash for rho.

## ◆ T9_tol

double gridfire::QSECacheConfig::T9_tol

Absolute tolerance to produce the same hash for T9.

## ◆ Yi_tol

double gridfire::QSECacheConfig::Yi_tol

Absolute tolerance to produce the same hash for species abundances.

The documentation for this struct was generated from the following file:

- src/include/gridfire/engine/views/engine_multiscale.h